summaryrefslogtreecommitdiffstats
path: root/proxy_wizard/scripts/dfh.sh
diff options
context:
space:
mode:
Diffstat (limited to 'proxy_wizard/scripts/dfh.sh')
-rwxr-xr-xproxy_wizard/scripts/dfh.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/proxy_wizard/scripts/dfh.sh b/proxy_wizard/scripts/dfh.sh
new file mode 100755
index 00000000..8ab8956a
--- /dev/null
+++ b/proxy_wizard/scripts/dfh.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000,2001 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+#
+# squid wizard
+
+r='/var/spool/squid'
+howmany(){
+ [ -n "$1" ] && {
+ [ -d "$1" ] && df -h "$1" || howmany ${1%/*}
+ } || {
+ howmany '/'
+ }
+}
+
+howmany $r|tail -1